//SHADER FILE FOR MALI'E (RUNNING THROUGH PROPELLERS)
//YOU MAY USE THIS SHADER FILE IN YOUR OWN LEVELS AS LONG AS YOU GIVE CREDIT IN YOUR TEXT FILE.
//Thank You
//Dru
//
//Mali'e (Running Through Propellers)
//
//Dru's shader for murky fog.
//
textures/druel2/fog_murky
	{
		qer_editorimage textures/sfx/fog_timdm1.tga
		qer_nocarve
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm fog
		surfaceparm nolightmap
		fogparms ( .312 .454 .432 ) 800
	}
textures/druel2/dredg1
{
	qer_editorimage textures/druel2/dredg1.tga
	q3map_lightimage textures/druel2/dredg1.tga
        q3map_surfacelight 0

	{
		map textures/druel2/dredg1.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/druel2/dredg1url.tga
		blendfunc add
	        rgbGen wave square 0 1 .5 .5
	}
	{
		map textures/druel2/redorngs.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 2 -2
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

//
//Dru's shader for Dredg2 banner
//
	
textures/druel2/dredg2
{
	qer_editorimage textures/druel2/dredg2.tga
	q3map_lightimage textures/druel2/dredg2.tga
        q3map_surfacelight 0

	{
		map textures/druel2/dredg2.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/druel2/dredg2url.tga
		blendfunc add
	        rgbGen wave square 0 1 .5 .5
	}
	{
		map textures/druel2/redorngs.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 2 -2
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}
//*******************************************************
//*              Mr CleaN's Shaders
//*******************************************************
textures/druel2/crimban_1
{
        qer_editorimage textures/druel2/crimban_1.tga
        tessSize 64
        deformVertexes wave 100 sin 0 1 0 .5
        deformVertexes wave 100 sin 0 1 0 .6
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	cull none
       
	{
		map textures/druel2/crimban_1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
                  
	}
        
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}
textures/druel2/crimban_1b
{
        qer_editorimage textures/druel2/crimban_1b.tga
        tessSize 64
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	cull none
       
	{
		map textures/druel2/crimban_1b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
                  
	}
        
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}
//*******************************************************
//*              Kevin Cloud's kc_dm10 sky
//*******************************************************
textures/skies/kc_dm10sky
{
	qer_editorimage textures/skies/pjbasesky.tga
	q3map_lightsubdivide 512 
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	
	q3map_sun	.5 .6 .8 90 225 55
	q3map_surfacelight 150

	qer_editorimage textures/skies/toxicbluesky.tga

	skyparms - 512 -

	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}

	//{
	//	map textures/liquids/electric_fog.tga
	//	blendfunc gl_dst_color gl_one
	//	rgbgen wave triangle .8 .2 0 5
	//	tcmod scale -.02 -.02
	//	tcmod rotate 10
	//	tcmod scroll .5 -.5
	//}



}
//*******************************************************
//*              Peej's Teleporter
//*******************************************************
textures/addict/teleport
{
	qer_editorimage textures/addict/teleport.tga
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	tesssize 128
	cull disable
	
        {
                map textures/effects/envmap.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/addict/teleport.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcMod turb 0 .3 0 .2
		tcMod scale 0.5 0.5
	} 
}
//
//Thanks to Mr CleaN (http://www.planetquake.com/mrclean) for help with shader files.
//